<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.16.0.final using JasperReports Library version 6.16.0-48579d909b7943b64690c65c71e07e0b80981928  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorios-de-usuarios" pageWidth="595" pageHeight="842" whenNoDataType="NoDataSection" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="4f8a3e40-053f-41e1-8748-1638f3a4b9af">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="One Empty Record"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<style name="style_linha_cores_alternadas" mode="Transparent" backcolor="#FFFFFF">
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{REPORT_COUNT} % 2 == 0]]></conditionExpression>
			<style mode="Opaque" backcolor="#CCFFFF"/>
		</conditionalStyle>
	</style>
	<parameter name="logo" class="java.io.InputStream"/>
	<field name="userName" class="java.lang.String"/>
	<field name="email" class="java.lang.String"/>
	<field name="status" class="java.lang.Boolean"/>
	<field name="dataCadastro" class="java.lang.String"/>
	<field name="dataAtualizacao" class="java.lang.String"/>
	<field name="perfis" class="java.util.List"/>
	<title>
		<band height="80" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<image scaleImage="FillFrame" hAlign="Center" vAlign="Middle" isUsingCache="true" onErrorType="Blank">
				<reportElement x="0" y="0" width="555" height="80" uuid="0f70ec58-53dc-4012-98b6-bfb4f8d948f4"/>
				<imageExpression><![CDATA[$P{logo}]]></imageExpression>
			</image>
		</band>
	</title>
	<columnHeader>
		<band height="38">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<staticText>
				<reportElement mode="Opaque" x="0" y="20" width="120" height="18" backcolor="#C9BEBD" uuid="cbfe5804-4cea-48e0-b300-5760a1792720">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Nome]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="120" y="20" width="170" height="18" backcolor="#C9BEBD" uuid="1d563c87-0434-42c1-bf12-ffbe6da08b23">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[E-mail]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="345" y="20" width="64" height="18" backcolor="#C9BEBD" uuid="e67fba55-3f7f-4685-ad8a-0421692826f4">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Status]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="409" y="20" width="71" height="18" backcolor="#C9BEBD" uuid="4351a71b-a181-4dab-baef-8c1503ee8dc4">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Cadastro]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="480" y="20" width="75" height="18" backcolor="#C9BEBD" uuid="4351a71b-a181-4dab-baef-8c1503ee8dc4">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Alteraçao]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="10" width="555" height="1" forecolor="#DEDEDE" uuid="872722be-0f2c-4773-b438-2945c9d401b4">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
			<staticText>
				<reportElement mode="Opaque" x="290" y="20" width="55" height="18" backcolor="#C9BEBD" uuid="895bfdbf-d3d6-4f81-b38f-0ed061fd9954">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Perfis]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="19" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="0" y="0" width="120" height="19" uuid="fb094b29-a8f5-4885-a89a-b6047921b5b7"/>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{userName}]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="120" y="0" width="170" height="19" uuid="d274241f-0b1b-457a-b304-8028f05526fd">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{email}]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="345" y="0" width="64" height="19" uuid="5495897b-e8a6-4b7b-9a41-5020bf900426"/>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{status}.booleanValue() == true ? "Ativo" : "Inativo"]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="409" y="0" width="71" height="19" uuid="c1a9873c-8077-4246-9110-9d1dfaa4d79a"/>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{dataCadastro}]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="480" y="0" width="75" height="19" uuid="f65c899f-3f4e-4331-b950-948b336bfdf9"/>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{dataAtualizacao}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="290" y="0" width="55" height="19" uuid="d1c48c3c-a7be-4657-a8f8-3bea67686ea4"/>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.JRBeanCollectionDataSource($F{perfis})]]></dataSourceExpression>
				<subreportExpression><![CDATA["relatorios/sub-relatorio-usuario-perfis.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<pageFooter>
		<band height="43" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<textField>
				<reportElement x="454" y="11" width="91" height="18" uuid="4f06002e-fe90-419e-a85e-0958b0af91db">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["Pagina " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField pattern="dd &apos; de&apos; MMMM , yyyy">
				<reportElement x="7" y="11" width="100" height="18" uuid="3d99d316-3594-4fde-b9da-69a93e7da583"/>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="0" y="6" width="555" height="1" forecolor="#DEDEDE" uuid="f29f1fc6-91a1-4999-bdf4-e0ecea92e800">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
		</band>
	</pageFooter>
	<noData>
		<band height="30">
			<staticText>
				<reportElement x="0" y="-1" width="551" height="31" uuid="00feb0c4-cdb0-4a9c-802d-3a4708bdf587"/>
				<textElement textAlignment="Center">
					<font size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[Nenhum Resultado foi encontrado. Por Favor tente Novamente!]]></text>
			</staticText>
		</band>
	</noData>
</jasperReport>
